package jp.mosp.system.action;

import jp.mosp.common.CommonConst;
import jp.mosp.common.MosPAction;

import jp.mosp.system.vo.OptionFunctionMenuVo;

public class OptionFunctionMenuAction extends MosPAction {

	/**
	 * コンストラクタ
	 */
	public OptionFunctionMenuAction() {
		super();
	}

	public void action() throws Exception {
		// セッション保持情報の除去
		initStoredData();
		// コネクション取得
		getConnection();
		// SYSTEM権限確認
		confirmSystemAuth();
		// VOの初期化
		OptionFunctionMenuVo vo = getInitVo();
		init(vo);
		vo.setFields(getOptionMenuArray());		
	}

	/* (non-Javadoc)
	 * @see jp.mosp.common.action.MosPAction#getInitVo()
	 */
	protected OptionFunctionMenuVo getInitVo() {
		return new OptionFunctionMenuVo();
	}

	/**
	 * 初期処理
	 * @param vo	対象VO
	 */
	protected void init(OptionFunctionMenuVo vo) {
		vo.initVo(cfg, msg, cmd, aspUser, user);
		// VO及びフォワード先URLの設定
		setVo(vo);
		setUrl(vo.getRetUrl());	
	}

	/**
	 * オプションメニュー一覧配列取得
	 * @return	オプションメニュー一覧配列
	 * @throws Exception
	 */
	protected String[][] getOptionMenuArray() throws Exception {
		return getMosPCodeArray(CommonConst.TID_OPTION_FUNCTION);
	}

}
